Bug 5709 - Adding the ability to translate HTML5 placeholder text in an input field
Summary: Adding the ability to translate HTML5 placeholder text in an input field
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Brice Sanchez
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-07 20:50 UTC by Brice Sanchez
Modified: 2013-05-23 06:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
placeholder patch (2.72 KB, patch)
2011-02-07 21:03 UTC, Brice Sanchez
Details | Diff | Splinter Review
Adding the ability to translate HTML5 placeholder text in an input field (1.71 KB, patch)
2012-10-11 12:54 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Adding the ability to translate HTML5 placeholder text in an input field (1.76 KB, patch)
2012-12-07 13:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Adding the ability to translate HTML5 placeholder text in an input field (1.81 KB, patch)
2012-12-12 08:07 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Brice Sanchez 2011-02-07 20:50:58 UTC
In our version of Koha, we use a placeholder text in the main search box (with jquery effects if the browser doesn't support placeholder).

So we need to patch the translator in order to be able to translate the sentence in placeholder. 

It would be a great feature for the translator script.
Comment 1 Brice Sanchez 2011-02-07 21:03:34 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2012-10-11 12:54:35 UTC Comment hidden (obsolete)
Comment 3 Maxime Pelletier 2012-11-14 19:02:03 UTC
Just wanted to comment that I tested the latest patch successfully and with it the template "pendingreserves.tt" is now translated. 
Quick 2 liners that should be easy to test and apply.
Comment 4 Kyle M Hall 2012-12-07 13:35:58 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2012-12-12 08:07:09 UTC
Created attachment 14028 [details] [review]
Adding the ability to translate HTML5 placeholder text in an input field

http://bugs.koha-community.org/show_bug.cgi?id=5709
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 6 Paul Poulain 2012-12-12 08:08:16 UTC
QA comment: trivial -2 lines- patch

passed QA (setting version to "master", it's not 3.2 only)
Comment 7 Jared Camins-Esakov 2012-12-13 15:35:27 UTC
This patch has been pushed to master.